Skip to main content
`Ctrl`+`K`

# PFSetFromOptions

Sets `PF` options from the options database.

## Synopsis

    #include "petscpf.h"
    PetscErrorCode PFSetFromOptions(PF pf)

Collective

## Input Parameters

- pf - the mathematical function context

## Notes

To see all options, run your program with the -help option or consult the users manual.

## See Also

`PF`

## Level

intermediate

## Location

src/vec/pf/interface/pf.c

## Examples

src/dm/tutorials/ex4.c

## Implementations

PFSetFromOptions_Constant() in src/vec/pf/impls/constant/const.c
PFSetFromOptions_Matlab() in src/vec/pf/impls/matlab/cmatlab.c
PFSetFromOptions_String() in src/vec/pf/impls/string/cstring.c

Index of all PF routines
Table of Contents for all manual pages
Index of all manual pages